=head1 NAME

B<monrm> -  Unregisters a monitoring plug-in module from the xCAT cluster.


=head1 SYNOPSIS

I<monrm [-h| --help]>

I<monrm [-v| --version]>

I<monrm name>


=head1 DESCRIPTION

This command is used to unregister a monitoring plug-in module from the I<monitoring> table. It also removes any configuration scripts associated with the monitoring plug-in from the I<postscripts> table.  A monitoring plug-in module acts as a bridge that connects a 3rd party monitoring software and the xCAT cluster. A configuration script is used to configure the 3rd party software. Once added to the I<postscripts> table, it will be invoked on the nodes during node deployment stage.

=head1 Parameters

I<name> is the name of the monitoring plug-in module in the I<monitoring> table.  Use I<monls> command to list all the monitoring plug-in modules that can be used. 

=head1 OPTIONS


B<-h | --help>          Display usage message.

B<-v | --version >      Command Version.


=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.

=head1 EXAMPLES

1.To unregister gangliamon plug-in module (which interacts with Ganglia monitoring software) from the xCAT cluster, enter:

  monrm gangliamon

Please note that gangliamon must have been registered in the xCAT I<monitoring> table. For a list of registered plug-in modules, use command I<monls>.



=head1 FILES

/opt/xcat/bin/monrm


=head1 SEE ALSO


L<monls(1)|monls.1>, L<monadd(1)|monadd.1>, L<monstart(1)|monstart.1>, L<monstop(1)|monstop.1>, L<moncfg(1)|moncfg.1>, L<mondecfg(1)|mondecfg.1>



